Subject: Re: bug#10935: 23.3; devanagari-itrans method incomplete

From: Rustom Mody <[email-masked]>
Date: Tue, 6 Mar 2012 14:17:18 +0530

On Sun, Mar 4, 2012 at 3:02 PM, Kenichi Handa <[email-masked]> wrote:

> In article <
> [email-masked]>,
> Rustom Mody <[email-masked]> writes:
>
> > The devanagari-itrans method does not translate the pipe '|' into the
> > devanagari danda । (unicode 964) but leaves it at | ASCII 0x7c
>
> Currently , with devanagari-itran, you must type ".."
> (double periods) to insert "।".  As I'm not the author of
> this input method, I don't if ".." is the standard way to
> input "।".  Could you show me a source that tells "|" is the
> standard way for "।" in ITRANS?
>

I have just tried the itranslator from
http://www.omkarananda-ashram.org/Sanskrit/itranslator2003.htm#dls

Its a windows program but runs under wine in linux.
It uses the following
. (single) for danda (UCS 964)
.. (double dot) for double danda (965)
\' for udatta (951)
\_ for anudatta (952)
\'' (thats 2 single quotes not (??)

Do you think these can be incorporated?

Thanks

Rusi